Community
Fusion API and Scripts
Got a new add-in to share? Need something specialized to be scripted? Ask questions or share what you’ve discovered with the community.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Anyone else seeing random "exception in thread ptvsd.Server:" ?

2 REPLIES 2
Reply
Message 1 of 3
OceanHydroAU
225 Views, 2 Replies

Anyone else seeing random "exception in thread ptvsd.Server:" ?

At random times when debugging my code, I'm getting an exception from the visual studio subsystem (unrelated to my code - it happens even when nothing of mine is running).

 

Is anyone else seeing this?  I'm not sure if it's something I've changed in VSCode on my Mac, or if it's an update to either Fusion or one of the VSCode extensions...

 

As best I can tell - the "socket" it complains about is the one between Fusion360 and VSCode for managing the debug session.

 

Details:-

 

xception in thread ptvsd.Server:
Traceback (most recent call last):
  File "/Users/cnd/.vscode/extensions/ms-python.python-2019.9.34911/pythonFiles/lib/python/ptvsd/ipcjson.py", line 269, in process_one_message
    msg = self.__message.pop(0)
IndexError: pop from empty list

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/cnd/Library/Application Support/Autodesk/webdeploy/production/1fac2465f22d60cdc75f85dff06ce672bf989559/Autodesk Fusion 360.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/threading.py", line 926, in _bootstrap_inner
    self.run()
  File "/Users/cnd/Library/Application Support/Autodesk/webdeploy/production/1fac2465f22d60cdc75f85dff06ce672bf989559/Autodesk Fusion 360.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "/Users/cnd/.vscode/extensions/ms-python.python-2019.9.34911/pythonFiles/lib/python/ptvsd/wrapper.py", line 536, in process_messages
    raise exc
  File "/Users/cnd/.vscode/extensions/ms-python.python-2019.9.34911/pythonFiles/lib/python/ptvsd/wrapper.py", line 521, in process_messages
    self.process_messages()
  File "/Users/cnd/.vscode/extensions/ms-python.python-2019.9.34911/pythonFiles/lib/python/ptvsd/ipcjson.py", line 258, in process_messages
    self.process_one_message()
  File "/Users/cnd/.vscode/extensions/ms-python.python-2019.9.34911/pythonFiles/lib/python/ptvsd/ipcjson.py", line 272, in process_one_message
    self._wait_for_message()
  File "/Users/cnd/.vscode/extensions/ms-python.python-2019.9.34911/pythonFiles/lib/python/ptvsd/ipcjson.py", line 154, in _wait_for_message
    line = self._buffered_read_line_as_ascii()
  File "/Users/cnd/.vscode/extensions/ms-python.python-2019.9.34911/pythonFiles/lib/python/ptvsd/ipcjson.py", line 113, in _buffered_read_line_as_ascii
    temp = self.__socket.recv(1024)
socket.timeout: timed out
2 REPLIES 2
Message 2 of 3
janborzynski
in reply to: OceanHydroAU

It also started happening to me today, I can't see why. I think it's probably an update of Fusion or VScode extention. Please let me know if you would be able to find a solution.

Message 3 of 3
OceanHydroAU
in reply to: janborzynski

It has hit everyone - Mac and Windows alike.

 

Here's the other Thread for the same problem:-

 

https://forums.autodesk.com/t5/fusion-360-api-and-scripts/socket-timeout-timed-out/td-p/9278392

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report